<template>
  <!-- <div class="body"> -->
    <div class="sec2">
      <section class="s1">
        <!-- <h1>RESUME</h1> -->
        <img :src="picture" :width="sizeW" :height="sizeH" ref="imgEl" />
        <h1>{{ getFullName }} {{ NickName }}</h1>
        <!-- <h1>{{ NickName }}</h1> -->
        <h1>Department : {{ getDepartment }}</h1>

        <button @click="toggleVisible">
          {{ isVisible ? "Show details." : "Hide show details." }}
        </button>
        <article v-show="isVisible">
          <h1>Salary : {{ salary }} Bath</h1>
          <h1>Annual Income : {{ getIncome }} Bath</h1>

          <h1>Age : {{ age }} year</h1>
          <h1>Address : <span v-html="address"></span></h1>
          <a href="https://www.facebook.com/mayur.losuop.9" target="_black"><img :width="sizeH2" :height="sizeH2" src="https://upload.wikimedia.org/wikipedia/commons/thumb/b/b8/2021_Facebook_icon.svg/2048px-2021_Facebook_icon.svg.png" alt="facebook"></a>
          <a href="https://www.facebook.com/mayur.losuop.9" target="_black"><img :width="sizeH2" :height="sizeH2" src="https://upload.wikimedia.org/wikipedia/commons/thumb/a/a5/Instagram_icon.png/2048px-Instagram_icon.png" alt="instagram"></a>
          <h2 v-if="hobby.length === 0">No hobby.</h2>
          <div v-else>
            <div class="hobby">
              <h1>Hobby :</h1>
              <ul>
                <li v-for="(item, index) in hobby" :key="index">{{ item }}</li>
              </ul>
            </div>
            <div class="hobby">
              <h1>Information :</h1>
              <ul>
                <li>Geder : {{ general.geder }}</li>
                <li>Weight : {{ general.weight }} kg.</li>
                <li>Height : {{ general.height }} cm.</li>
                <li>Congenital disease : {{ general.statuss }}</li>
                <!-- <li v-for="(items, keys) in general" :key="keys">
              {{ keys }} : {{ items }}
            </li> -->
              </ul>
            </div>
          </div>
        </article>
      </section>
    </div>
  <!-- </div> -->
</template>

<script>
export default {
  name: "App",
  data() {
    return {
      firstName: "Kissada",
      lastName: "Tumporn",
      NickName: "( Benz )",
      age: 21,
      salary: 60000,
      address:
        "<strong>16 123 Soi Maha Witthayalai, Mueang Khon Kaen District, Khon Kaen 40002</strong>",
      getDepartment: "Apprentice",
      picture:
        "https://scontent.fbkk29-1.fna.fbcdn.net/v/t39.30808-6/342029354_890020948733895_3668860077545211834_n.jpg?_nc_cat=101&ccb=1-7&_nc_sid=09cbfe&_nc_eui2=AeF1Uhd2y2zzKNcKViYWg1chr0JaEQqFxmGvQloRCoXGYXAgz5VoCI55s8zM1kPortITqDT5LcqiqTJOnl9-jobB&_nc_ohc=ngfzECKYaP0AX8kPi4v&_nc_ht=scontent.fbkk29-1.fna&oh=00_AfD97V_ifZPXJaiZhos20Ufhdkve80QtKL674WvNVmjl8w&oe=6450224A",
      sizeW: 220,
      sizeH: 220,
      sizeW2: 100,
      sizeH2: 100,
      isVisible: false,
      hobby: ["Play a game", "Play sports", "Listen to music", "Watch a movie"],
      general: { geder: "Man", weight: 56.4, height: 174, statuss: false },
    };
  },
  methods: {
    toggleVisible() {
      this.isVisible = !this.isVisible;
    },
  },
  computed: {
    getFullName() {
      return `${this.firstName} ${this.lastName}`;
    },
    getIncome() {
      return this.salary * 12;
    },
  },
};
</script>

<style scoped>
#app .s1 {
  font-family: "Franklin Gothic Medium", "Arial Narrow", "sans-serif";
}
body{
  /* margin: -8px; */
  padding: 0;
  box-sizing:initial;
}
.sec2 {
  width: 100%;
  height: 900px;
  padding-bottom: 15%;
  padding-top: 8%;
  background-image: url("https://images6.alphacoders.com/126/1261894.jpg");
  background-repeat: no-repeat;
  /* background-position: center; */
  background-size:cover;
  position: relative;
}
.hobby {
  justify-content: center;
  padding: auto;
  display: flex;
}
.s1 {
  margin: 0 25%;
  padding: 65px;
  justify-content: center;
  justify-items: center;
  text-align: center;
  background-color: rgb(238, 119, 40);
  border-radius: 90px;
  box-shadow: 13px 15px rgb(89, 38, 4);
  position: relative;
}
.s1 h1 {
  color: rgb(255, 255, 255);
}
li {
  color: rgb(255, 255, 255);
}
img {
  border-radius: 100px;
  box-shadow: 5px 5px rgb(89, 38, 4);
}
button {
  background-color: aquamarine;
  border-radius: 30px;
  color: black;
  padding: 10px 24px;
  font-size: 15px;
  font-weight: 900;
  box-shadow: 3px 3px black;
  transition-duration: 0.4s;
  /* shadow: 0px 0px black ; */
}
button:hover {
  padding: 10px 35px;
  background-color: rgb(109, 221, 184);
}
a img{
  margin: 20px;
  transition-duration: 0.4s;
}
a img:hover{
  box-shadow: 2.5px 2.5px saddlebrown;
}

</style>
 